Apache Tomcat 6.0.53

## org.apache.coyote.ajp
Class AjpAprProcessor.SocketInputBuffer

    java.lang.Object
      org.apache.coyote.ajp.AjpAprProcessor.SocketInputBuffer

All Implemented Interfaces:
  InputBuffer

Enclosing class:
  AjpAprProcessor

    protected class AjpAprProcessor.SocketInputBuffer

extends java.lang.Object
implements InputBuffer

This class is an input buffer which will read its data from an input stream.

Constructor Summary
`protected` | `AjpAprProcessor.SocketInputBuffer()`

Method Summary
`int` | `doRead(ByteChunk chunk, Request req)` Read bytes into the specified chunk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjpAprProcessor.SocketInputBuffer

    protected AjpAprProcessor.SocketInputBuffer()

Method Detail

### doRead

    public int doRead(ByteChunk chunk,
                      Request req)
               throws java.io.IOException

  Read bytes into the specified chunk.

  Specified by:
    `doRead` in interface `InputBuffer`
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.